# start.sh template

NAME="Easy Program Checking"
DJANGODIR=/home/year/user/epc/epcdev/easyprogramcheckin
SOCKFILE=unix:/home/year/user/epc/epcdev/easyprogramcheckin/gunicorn.sock
USER=epcdev
GROUP=epcdev
NUM_WORKERS=3
DJANGO_SETTINGS_MODULE=easyprogramcheckin.settings
DJANGO_WSGI_MODULE=easyprogramcheckin.wsgi
SCRIPTSERVER_LOG=/home/year/user/epc/epcdev/easyprogramcheckin/scriptserver.log
SCRIPTSERVER_LOG_ERR=/home/year/user/epc/epcdev/easyprogramcheckin/scriptserver-errors.log


echo "Starting $NAME as $USER"


cd $DJANGODIR
source venv/bin/activate
export DJANGO_SETTINGS_MODULE=$DJANGO_SETTINGS_MODULE
export PYTHONPATH=$DJANGODIR:$PYTHONPATH


exec venv/bin/gunicorn ${DJANGO_WSGI_MODULE}:application \
        --workers $NUM_WORKERS \
        --user $USER --group $GROUP \
        --bind 127.0.0.1:9000 \
        --error-logfile /home/year/user/epc/epcdev/easyprogramcheckin/gunicorn-errors.log \
        --log-file /home/year/user/epc/epcdev/easyprogramcheckin/gunicorn.log \
        --timeout 90 \
        & python3 run_server.py 1> $SCRIPTSERVER_LOG 2> $SCRIPTSERVER_LOG_ERR

# --log-level debug